DirectAdmin升级PHP5.3.6

时间:11-05-09 栏目:VPS教程 作者:赵 容 点击: 13,565 次

腾讯云,腾讯云服务器,腾讯云促销

因为听部分朋友传言,下一个版本的wordpress3.2要求最低PHP版本为5.2.4,但是,我的DA面板自动安装的PHP版本是目前最稳定的5.2.17,因为空间给自己,还有提供给朋友们,大多都用来做个人博客,而且,大部分都是使用wordpress,所以,这些天一直在找DA升级PHP版本方面的资料。

网上找了一些时间,前天晚上也使用DA的build升级过一次,没能升级,不过,今天终于成功升级了。原来上次升级有一个设置没有更改,这里,把升级过程记录下来,一方面,自己需要的时候找出来,另一方面,也给寻找这方面资料的朋友一个方便。

在升级过程之前,首先必须感谢LNMP的军哥!我的正常升级,完全是这位大侠的功劳!因为前天升级失败之后,我在VPS侦探社发帖求助,他回复了方法,令我得以完美升级!

首先,我们进入custombuild目录:

cd /usr/local/directadmin/custombuild/

然后,编辑options.conf:

vi options.conf

设置 clean=yes , php5_ver=5.3

然后,开始升级过程:

./build clean

./build update

./build all y

最后,别忘记重启httpd:

service httpd restart

升级根据VPS的配置时间要求不定,我的VIRPUS大约20-30分钟完成,最终探针显示,PHP已升级至最新的5.3.6。

php5.3.6

【更新】其实一直想更新下,这篇文章写的比较早,2011年的,是一个认知的错误,当时确实太青涩,我甚至会认为5.2.4>5.2.17,都不知道后面的.17是十七,一直没有改,当留给自己一个回忆,同时也让大家知道,赵容其实是真正的小白。

分享简单的升级方式:

cd /usr/local/directadmin/custombuild
./build set php5_ver 5.3
./build update
./build php n

香港/美国/国内高速VPS

声明: 博客仅为分享信息绝非推荐,网站不参与交易绝非中介,内容均仅代表个人观点绝非权威,读者请自行考虑后入手并自担风险!一分钱一分货仍是恒久不变之真理,未成年读者(包括生理和心理)请在监护人陪同下访问本站!本文由( 赵 容 )原创编译,转载请保留链接: DirectAdmin升级PHP5.3.6鄙视无耻复制行为!
关于使用: 本站主要分享服务器及VPS信息,不提供任何产品销售或代购,读者请在国家法律法规许可范围内购买和使用产品,欢迎加入QQ群:683851361讨论.
关于安全: 任何IDC都有倒闭和跑路的可能,主机线路更不可控,月付和备份是您的最佳选择,请保持良好的、有规则的备份习惯.

DirectAdmin升级PHP5.3.6:目前有16 条留言

  1. 学习了

    2013-03-12 16:14 [回复]
  2. 7楼
    蓝冰:

    似乎这个更好一些?
    cd /usr/local/directadmin/custombuild
    ./build set php5_ver 5.3
    ./build update
    ./build php n

    2013-03-08 20:11 [回复]
    • 赵 容:

      感谢分享,嘿嘿

      2013-03-08 21:57 [回复]
  3. 6楼
    阔空晴云:

    版本5.2.17貌似比5.2.4高吧。。。
    博主应该把17看成一个数,而不是小数。。

    举个例子就是:5.2.9过了就是5.2.10
    每一节代表独立的数字,而不能看成小数位。。。类似IP地址一样。。。

    2013-01-04 23:57 [回复]
    • 赵 容:

      是的,这个是一个常识性的错误,当初写这个文章的时候我就傻乎乎的这么想,不过后来明白了,但是没有去修改文章,留下一点记忆,没事可以回味下当初傻傻的自己,嘿嘿。
      在这些版本中,17是看做一个数字的,不能看到0.17

      2013-01-05 08:54 [回复]
  4. 5楼
    是我:

    话说能不能出一个。。。升级Apache的

    2012-08-24 21:47 [回复]
    • 赵 容:

      建议直接安装时选择apache最高的版本

      2012-08-24 22:11 [回复]
      • 是我:

        额……安装时1-4,就3的Apache版本最高吧

        2012-08-24 22:12 [回复]
        • 赵 容:

          是的。

          2012-08-24 22:13 [回复]
  5. 4楼
    abc:

    😮 apache用的2.2,一升就错误哦

    2012-08-18 18:59 [回复]
    • 赵 容:

      apache2.2不会有问题啊,如果是2.4可能会遇到问题。

      2012-08-18 19:31 [回复]
  6. 地板
    手机主题:

    升级了,php没运行,正在找原因

    2012-07-08 12:10 [回复]
    • 赵 容:

      我晕,升级后应该不会造成php不能运行的啊,这个我没有遇到过,期待分享解决过程。

      2012-07-08 12:33 [回复]
  7. 板凳
    an9:

    我也升. 😆

    2012-05-19 18:56 [回复]
    • 赵 容:

      哈,现在一升就到5.3.12了~

      2012-05-19 19:26 [回复]
  8. 沙发
    四师兄:

    出个kloxo

    2011-05-09 18:48 [回复]

发表评论


海星云主机

广而告之